Bug 468107 - gdm buttons don't work at first
gdm buttons don't work at first
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 16:31 EDT by Mikel Ward
Modified: 2015-01-14 18:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 21:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikel Ward 2008-10-22 16:31:10 EDT
The action buttons (Log In, etc.) on the gdm dialog don't work when the dialog is first displayed.

I think this happens when my mouse pointer starts out in the same position as one of the buttons will be drawn.

In this case, we get half a hover effect (it kind of turns 3D), but it doesn't light up with a blue background.  Clicking does nothing.

I have to move the pointer out of the button and then back over it before it will work.

gdm-2.22.0-10.fc9.i386
Comment 1 Mikel Ward 2008-10-22 16:49:50 EDT
The particular case was actually the Shut Down button, not the Log In button, and the effect is a blue highlight but no border (so I think it's indistinguishable from the correct hover state visually).
Comment 2 Mikel Ward 2008-10-30 16:26:47 EDT
An anonymous coward claimed that this bug was fixed in today's release of Ubuntu (http://news.slashdot.org/comments.pl?sid=1012917&cid=25571255), so it's probably fixed in the Rawhide version of GTK2, just a question of finding the upstream bug and proving that it's fixed.
Comment 3 Mikel Ward 2008-10-30 21:29:51 EDT
It's http://bugzilla.gnome.org/show_bug.cgi?id=56070
Comment 4 Ray Strode [halfline] 2008-10-30 21:38:13 EDT
Yup, should be good to go for F10.

Note You need to log in before you can comment on or make changes to this bug.